package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Holidays;

import java.util.Date;
import java.util.List;

public interface HolidaysService {

    int saveHolidays(Holidays holidays);

    /**
     * 删除假期设置
     *
     * @param id
     * @return
     */
    int removeHolidays(Long id);


    /**
     * 分页查询假期
     *
     * @param holidays
     * @return
     */
    List<Holidays> queryHolidaysWithPage(Holidays holidays);

    /**
     * 查询节假日总数
     *
     * @param holidays
     * @return
     */
    Integer queryCountHolidays(Holidays holidays);

    /**
     * 按照id查询
     *
     * @param id
     * @return
     */
    Holidays queryById(Long id);


    /**
     * 查询大于等于当前给定时间以后的节假日设置
     * @param beginDate
     * @return
     */
    List<Holidays> queryHolidaysByDate(Date beginDate);
}
